Fix for the problem that SDL applications exited
[AROS-Contrib.git] / arospdf / config.status
blobb6a7b3a18ef4b859616c2a7f182ec3349e5b44b8
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile goo/Makefile fofi/Makefile splash/Makefile xpdf/Makefile"
275 config_headers=" aconf.h"
277 ac_cs_usage="\
278 \`$as_me' instantiates files from templates according to the
279 current configuration.
281 Usage: $0 [OPTIONS] [FILE]...
283 -h, --help print this help, then exit
284 -V, --version print version number, then exit
285 -q, --quiet do not print progress messages
286 -d, --debug don't remove temporary files
287 --recheck update $as_me by reconfiguring in the same conditions
288 --file=FILE[:TEMPLATE]
289 instantiate the configuration file FILE
290 --header=FILE[:TEMPLATE]
291 instantiate the configuration header FILE
293 Configuration files:
294 $config_files
296 Configuration headers:
297 $config_headers
299 Report bugs to <bug-autoconf@gnu.org>."
300 ac_cs_version="\
301 config.status
302 configured by configure, generated by GNU Autoconf 2.59,
303 with options \"\"
305 Copyright (C) 2003 Free Software Foundation, Inc.
306 This config.status script is free software; the Free Software Foundation
307 gives unlimited permission to copy, distribute and modify it."
308 srcdir=.
309 INSTALL="/Development/bin/install -c"
310 # If no file are specified by the user, then we need to provide default
311 # value. By we need to know if files were specified by the user.
312 ac_need_defaults=:
313 while test $# != 0
315 case $1 in
316 --*=*)
317 ac_option=`expr "x$1" : 'x\([^=]*\)='`
318 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319 ac_shift=:
322 ac_option=$1
323 ac_optarg=$2
324 ac_shift=shift
326 *) # This is not an option, so the user has probably given explicit
327 # arguments.
328 ac_option=$1
329 ac_need_defaults=false;;
330 esac
332 case $ac_option in
333 # Handling of the options.
334 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335 ac_cs_recheck=: ;;
336 --version | --vers* | -V )
337 echo "$ac_cs_version"; exit 0 ;;
338 --he | --h)
339 # Conflict between --help and --header
340 { { echo "$as_me:$LINENO: error: ambiguous option: $1
341 Try \`$0 --help' for more information." >&5
342 echo "$as_me: error: ambiguous option: $1
343 Try \`$0 --help' for more information." >&2;}
344 { (exit 1); exit 1; }; };;
345 --help | --hel | -h )
346 echo "$ac_cs_usage"; exit 0 ;;
347 --debug | --d* | -d )
348 debug=: ;;
349 --file | --fil | --fi | --f )
350 $ac_shift
351 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352 ac_need_defaults=false;;
353 --header | --heade | --head | --hea )
354 $ac_shift
355 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356 ac_need_defaults=false;;
357 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358 | -silent | --silent | --silen | --sile | --sil | --si | --s)
359 ac_cs_silent=: ;;
361 # This is an error.
362 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363 Try \`$0 --help' for more information." >&5
364 echo "$as_me: error: unrecognized option: $1
365 Try \`$0 --help' for more information." >&2;}
366 { (exit 1); exit 1; }; } ;;
368 *) ac_config_targets="$ac_config_targets $1" ;;
370 esac
371 shift
372 done
374 ac_configure_extra_args=
376 if $ac_cs_silent; then
377 exec 6>/dev/null
378 ac_configure_extra_args="$ac_configure_extra_args --silent"
381 if $ac_cs_recheck; then
382 echo "running /bin/sh configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
383 exec /bin/sh configure $ac_configure_extra_args --no-create --no-recursion
386 for ac_config_target in $ac_config_targets
388 case "$ac_config_target" in
389 # Handling of arguments.
390 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391 "goo/Makefile" ) CONFIG_FILES="$CONFIG_FILES goo/Makefile" ;;
392 "fofi/Makefile" ) CONFIG_FILES="$CONFIG_FILES fofi/Makefile" ;;
393 "splash/Makefile" ) CONFIG_FILES="$CONFIG_FILES splash/Makefile" ;;
394 "xpdf/Makefile" ) CONFIG_FILES="$CONFIG_FILES xpdf/Makefile" ;;
395 "aconf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS aconf.h" ;;
396 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
397 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
398 { (exit 1); exit 1; }; };;
399 esac
400 done
402 # If the user did not use the arguments to specify the items to instantiate,
403 # then the envvar interface is used. Set only those that are not.
404 # We use the long form for the default assignment because of an extremely
405 # bizarre bug on SunOS 4.1.3.
406 if $ac_need_defaults; then
407 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
408 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
411 # Have a temporary directory for convenience. Make it in the build tree
412 # simply because there is no reason to put it here, and in addition,
413 # creating and moving files from /tmp can sometimes cause problems.
414 # Create a temporary directory, and hook for its removal unless debugging.
415 $debug ||
417 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
418 trap '{ (exit 1); exit 1; }' 1 2 13 15
421 # Create a (secure) tmp directory for tmp files.
424 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
425 test -n "$tmp" && test -d "$tmp"
426 } ||
428 tmp=./confstat$$-$RANDOM
429 (umask 077 && mkdir $tmp)
430 } ||
432 echo "$me: cannot create a temporary directory in ." >&2
433 { (exit 1); exit 1; }
438 # CONFIG_FILES section.
441 # No need to generate the scripts if there are no CONFIG_FILES.
442 # This happens for instance when ./config.status config.h
443 if test -n "$CONFIG_FILES"; then
444 # Protect against being on the right side of a sed subst in config.status.
445 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
446 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
447 s,@SHELL@,/bin/sh,;t t
448 s,@PATH_SEPARATOR@,:,;t t
449 s,@PACKAGE_NAME@,,;t t
450 s,@PACKAGE_TARNAME@,,;t t
451 s,@PACKAGE_VERSION@,,;t t
452 s,@PACKAGE_STRING@,,;t t
453 s,@PACKAGE_BUGREPORT@,,;t t
454 s,@exec_prefix@,${prefix},;t t
455 s,@prefix@,/usr/local,;t t
456 s,@program_transform_name@,s,x,x,,;t t
457 s,@bindir@,${exec_prefix}/bin,;t t
458 s,@sbindir@,${exec_prefix}/sbin,;t t
459 s,@libexecdir@,${exec_prefix}/libexec,;t t
460 s,@datadir@,${prefix}/share,;t t
461 s,@sysconfdir@,${prefix}/etc,;t t
462 s,@sharedstatedir@,${prefix}/com,;t t
463 s,@localstatedir@,${prefix}/var,;t t
464 s,@libdir@,${exec_prefix}/lib,;t t
465 s,@includedir@,${prefix}/include,;t t
466 s,@oldincludedir@,/usr/include,;t t
467 s,@infodir@,${prefix}/info,;t t
468 s,@mandir@,${prefix}/man,;t t
469 s,@build_alias@,,;t t
470 s,@host_alias@,,;t t
471 s,@target_alias@,,;t t
472 s,@DEFS@,-DHAVE_CONFIG_H,;t t
473 s,@ECHO_C@,\c,;t t
474 s,@ECHO_N@,,;t t
475 s,@ECHO_T@,,;t t
476 s,@LIBS@,,;t t
477 s,@CC@,gcc,;t t
478 s,@CFLAGS@,-g -O2,;t t
479 s,@LDFLAGS@,,;t t
480 s,@CPPFLAGS@,,;t t
481 s,@ac_ct_CC@,gcc,;t t
482 s,@EXEEXT@,,;t t
483 s,@OBJEXT@,o,;t t
484 s,@CXX@,g++,;t t
485 s,@CXXFLAGS@,-g -O2,;t t
486 s,@ac_ct_CXX@,g++,;t t
487 s,@INSTALL_PROGRAM@,${INSTALL},;t t
488 s,@INSTALL_SCRIPT@,${INSTALL},;t t
489 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
490 s,@RANLIB@,ranlib,;t t
491 s,@ac_ct_RANLIB@,ranlib,;t t
492 s,@EXE@,,;t t
493 s,@LIBPREFIX@,lib,;t t
494 s,@AR@,ar rc,;t t
495 s,@UP_DIR@,,;t t
496 s,@CPP@,gcc -E,;t t
497 s,@X_CFLAGS@,,;t t
498 s,@X_PRE_LIBS@,,;t t
499 s,@X_LIBS@,,;t t
500 s,@X_EXTRA_LIBS@,,;t t
501 s,@EGREP@,,;t t
502 s,@Xpm_LIBS@,,;t t
503 s,@Xpm_CFLAGS@,,;t t
504 s,@Xext_LIBS@,,;t t
505 s,@Xext_CFLAGS@,,;t t
506 s,@Xp_LIBS@,,;t t
507 s,@Xp_CFLAGS@,,;t t
508 s,@Xt_LIBS@,,;t t
509 s,@Xt_CFLAGS@,,;t t
510 s,@Xm_LIBS@,,;t t
511 s,@Xm_CFLAGS@,,;t t
512 s,@Sgm_LIBS@,,;t t
513 s,@Sgm_CFLAGS@,,;t t
514 s,@t1_LIBS@,,;t t
515 s,@t1_CFLAGS@,,;t t
516 s,@freetype2_LIBS@,-lfreetype,;t t
517 s,@freetype2_CFLAGS@,,;t t
518 s,@libpaper_LIBS@,,;t t
519 s,@libpaper_CFLAGS@,,;t t
520 s,@X@,#,;t t
521 s,@XPDF_TARGET@,all-no-x,;t t
522 s,@LIBOBJS@,,;t t
523 s,@LTLIBOBJS@,,;t t
524 CEOF
526 # Split the substitutions into bite-sized pieces for seds with
527 # small command number limits, like on Digital OSF/1 and HP-UX.
528 ac_max_sed_lines=48
529 ac_sed_frag=1 # Number of current file.
530 ac_beg=1 # First line for current file.
531 ac_end=$ac_max_sed_lines # Line after last line for current file.
532 ac_more_lines=:
533 ac_sed_cmds=
534 while $ac_more_lines; do
535 if test $ac_beg -gt 1; then
536 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
537 else
538 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
540 if test ! -s $tmp/subs.frag; then
541 ac_more_lines=false
542 else
543 # The purpose of the label and of the branching condition is to
544 # speed up the sed processing (if there are no `@' at all, there
545 # is no need to browse any of the substitutions).
546 # These are the two extra sed commands mentioned above.
547 (echo ':t
548 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
549 if test -z "$ac_sed_cmds"; then
550 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
551 else
552 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
554 ac_sed_frag=`expr $ac_sed_frag + 1`
555 ac_beg=$ac_end
556 ac_end=`expr $ac_end + $ac_max_sed_lines`
558 done
559 if test -z "$ac_sed_cmds"; then
560 ac_sed_cmds=cat
562 fi # test -n "$CONFIG_FILES"
564 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
565 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
566 case $ac_file in
567 - | *:- | *:-:* ) # input from stdin
568 cat >$tmp/stdin
569 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
570 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
571 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
572 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
573 * ) ac_file_in=$ac_file.in ;;
574 esac
576 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
577 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
578 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
579 X"$ac_file" : 'X\(//\)[^/]' \| \
580 X"$ac_file" : 'X\(//\)$' \| \
581 X"$ac_file" : 'X\(/\)' \| \
582 . : '\(.\)' 2>/dev/null ||
583 echo X"$ac_file" |
584 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
585 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
586 /^X\(\/\/\)$/{ s//\1/; q; }
587 /^X\(\/\).*/{ s//\1/; q; }
588 s/.*/./; q'`
589 { if $as_mkdir_p; then
590 mkdir -p "$ac_dir"
591 else
592 as_dir="$ac_dir"
593 as_dirs=
594 while test ! -d "$as_dir"; do
595 as_dirs="$as_dir $as_dirs"
596 as_dir=`(dirname "$as_dir") 2>/dev/null ||
597 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
598 X"$as_dir" : 'X\(//\)[^/]' \| \
599 X"$as_dir" : 'X\(//\)$' \| \
600 X"$as_dir" : 'X\(/\)' \| \
601 . : '\(.\)' 2>/dev/null ||
602 echo X"$as_dir" |
603 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
604 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
605 /^X\(\/\/\)$/{ s//\1/; q; }
606 /^X\(\/\).*/{ s//\1/; q; }
607 s/.*/./; q'`
608 done
609 test ! -n "$as_dirs" || mkdir $as_dirs
610 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
611 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
612 { (exit 1); exit 1; }; }; }
614 ac_builddir=.
616 if test "$ac_dir" != .; then
617 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
618 # A "../" for each directory in $ac_dir_suffix.
619 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
620 else
621 ac_dir_suffix= ac_top_builddir=
624 case $srcdir in
625 .) # No --srcdir option. We are building in place.
626 ac_srcdir=.
627 if test -z "$ac_top_builddir"; then
628 ac_top_srcdir=.
629 else
630 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
631 fi ;;
632 [\\/]* | ?:[\\/]* ) # Absolute path.
633 ac_srcdir=$srcdir$ac_dir_suffix;
634 ac_top_srcdir=$srcdir ;;
635 *) # Relative path.
636 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
637 ac_top_srcdir=$ac_top_builddir$srcdir ;;
638 esac
640 # Do not use `cd foo && pwd` to compute absolute paths, because
641 # the directories may not exist.
642 case `pwd` in
643 .) ac_abs_builddir="$ac_dir";;
645 case "$ac_dir" in
646 .) ac_abs_builddir=`pwd`;;
647 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
648 *) ac_abs_builddir=`pwd`/"$ac_dir";;
649 esac;;
650 esac
651 case $ac_abs_builddir in
652 .) ac_abs_top_builddir=${ac_top_builddir}.;;
654 case ${ac_top_builddir}. in
655 .) ac_abs_top_builddir=$ac_abs_builddir;;
656 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
657 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
658 esac;;
659 esac
660 case $ac_abs_builddir in
661 .) ac_abs_srcdir=$ac_srcdir;;
663 case $ac_srcdir in
664 .) ac_abs_srcdir=$ac_abs_builddir;;
665 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
666 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
667 esac;;
668 esac
669 case $ac_abs_builddir in
670 .) ac_abs_top_srcdir=$ac_top_srcdir;;
672 case $ac_top_srcdir in
673 .) ac_abs_top_srcdir=$ac_abs_builddir;;
674 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
675 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
676 esac;;
677 esac
680 case $INSTALL in
681 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
682 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
683 esac
685 if test x"$ac_file" != x-; then
686 { echo "$as_me:$LINENO: creating $ac_file" >&5
687 echo "$as_me: creating $ac_file" >&6;}
688 rm -f "$ac_file"
690 # Let's still pretend it is `configure' which instantiates (i.e., don't
691 # use $as_me), people would be surprised to read:
692 # /* config.h. Generated by config.status. */
693 if test x"$ac_file" = x-; then
694 configure_input=
695 else
696 configure_input="$ac_file. "
698 configure_input=$configure_input"Generated from `echo $ac_file_in |
699 sed 's,.*/,,'` by configure."
701 # First look for the input files in the build tree, otherwise in the
702 # src tree.
703 ac_file_inputs=`IFS=:
704 for f in $ac_file_in; do
705 case $f in
706 -) echo $tmp/stdin ;;
707 [\\/$]*)
708 # Absolute (can't be DOS-style, as IFS=:)
709 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
710 echo "$as_me: error: cannot find input file: $f" >&2;}
711 { (exit 1); exit 1; }; }
712 echo "$f";;
713 *) # Relative
714 if test -f "$f"; then
715 # Build tree
716 echo "$f"
717 elif test -f "$srcdir/$f"; then
718 # Source tree
719 echo "$srcdir/$f"
720 else
721 # /dev/null tree
722 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
723 echo "$as_me: error: cannot find input file: $f" >&2;}
724 { (exit 1); exit 1; }; }
725 fi;;
726 esac
727 done` || { (exit 1); exit 1; }
728 sed "/^[ ]*VPATH[ ]*=/{
729 s/:*\$(srcdir):*/:/;
730 s/:*\${srcdir}:*/:/;
731 s/:*@srcdir@:*/:/;
732 s/^\([^=]*=[ ]*\):*/\1/;
733 s/:*$//;
734 s/^[^=]*=[ ]*$//;
738 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
739 s,@configure_input@,$configure_input,;t t
740 s,@srcdir@,$ac_srcdir,;t t
741 s,@abs_srcdir@,$ac_abs_srcdir,;t t
742 s,@top_srcdir@,$ac_top_srcdir,;t t
743 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
744 s,@builddir@,$ac_builddir,;t t
745 s,@abs_builddir@,$ac_abs_builddir,;t t
746 s,@top_builddir@,$ac_top_builddir,;t t
747 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
748 s,@INSTALL@,$ac_INSTALL,;t t
749 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
750 rm -f $tmp/stdin
751 if test x"$ac_file" != x-; then
752 mv $tmp/out $ac_file
753 else
754 cat $tmp/out
755 rm -f $tmp/out
758 done
761 # CONFIG_HEADER section.
764 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
765 # NAME is the cpp macro being defined and VALUE is the value it is being given.
767 # ac_d sets the value in "#define NAME VALUE" lines.
768 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
769 ac_dB='[ ].*$,\1#\2'
770 ac_dC=' '
771 ac_dD=',;t'
772 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
773 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
774 ac_uB='$,\1#\2define\3'
775 ac_uC=' '
776 ac_uD=',;t'
778 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
779 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
780 case $ac_file in
781 - | *:- | *:-:* ) # input from stdin
782 cat >$tmp/stdin
783 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
784 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
785 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
786 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
787 * ) ac_file_in=$ac_file.in ;;
788 esac
790 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
791 echo "$as_me: creating $ac_file" >&6;}
793 # First look for the input files in the build tree, otherwise in the
794 # src tree.
795 ac_file_inputs=`IFS=:
796 for f in $ac_file_in; do
797 case $f in
798 -) echo $tmp/stdin ;;
799 [\\/$]*)
800 # Absolute (can't be DOS-style, as IFS=:)
801 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
802 echo "$as_me: error: cannot find input file: $f" >&2;}
803 { (exit 1); exit 1; }; }
804 # Do quote $f, to prevent DOS paths from being IFS'd.
805 echo "$f";;
806 *) # Relative
807 if test -f "$f"; then
808 # Build tree
809 echo "$f"
810 elif test -f "$srcdir/$f"; then
811 # Source tree
812 echo "$srcdir/$f"
813 else
814 # /dev/null tree
815 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
816 echo "$as_me: error: cannot find input file: $f" >&2;}
817 { (exit 1); exit 1; }; }
818 fi;;
819 esac
820 done` || { (exit 1); exit 1; }
821 # Remove the trailing spaces.
822 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
824 # Handle all the #define templates only if necessary.
825 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
826 # If there are no defines, we may have an empty if/fi
828 cat >$tmp/defines.sed <<CEOF
829 /^[ ]*#[ ]*define/!b
830 t clr
831 : clr
832 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
833 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
834 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
835 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
836 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
837 ${ac_dA}SYSTEM_XPDFRC${ac_dB}SYSTEM_XPDFRC${ac_dC}"/usr/local/etc/xpdfrc"${ac_dD}
838 ${ac_dA}X_DISPLAY_MISSING${ac_dB}X_DISPLAY_MISSING${ac_dC}1${ac_dD}
839 ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
840 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
841 ${ac_dA}HAVE_REWINDDIR${ac_dB}HAVE_REWINDDIR${ac_dC}1${ac_dD}
842 ${ac_dA}HAVE_POPEN${ac_dB}HAVE_POPEN${ac_dC}1${ac_dD}
843 ${ac_dA}HAVE_MKSTEMP${ac_dB}HAVE_MKSTEMP${ac_dC}1${ac_dD}
844 ${ac_dA}SELECT_TAKES_INT${ac_dB}SELECT_TAKES_INT${ac_dC}1${ac_dD}
845 ${ac_dA}HAVE_FT2BUILD_H${ac_dB}HAVE_FT2BUILD_H${ac_dC}1${ac_dD}
846 ${ac_dA}HAVE_FREETYPE_FREETYPE_H${ac_dB}HAVE_FREETYPE_FREETYPE_H${ac_dC}1${ac_dD}
847 ${ac_dA}HAVE_SPLASH${ac_dB}HAVE_SPLASH${ac_dC}1${ac_dD}
848 CEOF
849 sed -f $tmp/defines.sed $tmp/in >$tmp/out
850 rm -f $tmp/in
851 mv $tmp/out $tmp/in
853 fi # grep
855 # Handle all the #undef templates
856 cat >$tmp/undefs.sed <<CEOF
857 /^[ ]*#[ ]*undef/!b
858 t clr
859 : clr
860 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
861 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
862 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
863 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
864 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
865 ${ac_uA}SYSTEM_XPDFRC${ac_uB}SYSTEM_XPDFRC${ac_uC}"/usr/local/etc/xpdfrc"${ac_uD}
866 ${ac_uA}X_DISPLAY_MISSING${ac_uB}X_DISPLAY_MISSING${ac_uC}1${ac_uD}
867 ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
868 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
869 ${ac_uA}HAVE_REWINDDIR${ac_uB}HAVE_REWINDDIR${ac_uC}1${ac_uD}
870 ${ac_uA}HAVE_POPEN${ac_uB}HAVE_POPEN${ac_uC}1${ac_uD}
871 ${ac_uA}HAVE_MKSTEMP${ac_uB}HAVE_MKSTEMP${ac_uC}1${ac_uD}
872 ${ac_uA}SELECT_TAKES_INT${ac_uB}SELECT_TAKES_INT${ac_uC}1${ac_uD}
873 ${ac_uA}HAVE_FT2BUILD_H${ac_uB}HAVE_FT2BUILD_H${ac_uC}1${ac_uD}
874 ${ac_uA}HAVE_FREETYPE_FREETYPE_H${ac_uB}HAVE_FREETYPE_FREETYPE_H${ac_uC}1${ac_uD}
875 ${ac_uA}HAVE_SPLASH${ac_uB}HAVE_SPLASH${ac_uC}1${ac_uD}
876 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
877 CEOF
878 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
879 rm -f $tmp/in
880 mv $tmp/out $tmp/in
882 # Let's still pretend it is `configure' which instantiates (i.e., don't
883 # use $as_me), people would be surprised to read:
884 # /* config.h. Generated by config.status. */
885 if test x"$ac_file" = x-; then
886 echo "/* Generated by configure. */" >$tmp/config.h
887 else
888 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
890 cat $tmp/in >>$tmp/config.h
891 rm -f $tmp/in
892 if test x"$ac_file" != x-; then
893 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
894 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
895 echo "$as_me: $ac_file is unchanged" >&6;}
896 else
897 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
898 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
899 X"$ac_file" : 'X\(//\)[^/]' \| \
900 X"$ac_file" : 'X\(//\)$' \| \
901 X"$ac_file" : 'X\(/\)' \| \
902 . : '\(.\)' 2>/dev/null ||
903 echo X"$ac_file" |
904 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
905 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
906 /^X\(\/\/\)$/{ s//\1/; q; }
907 /^X\(\/\).*/{ s//\1/; q; }
908 s/.*/./; q'`
909 { if $as_mkdir_p; then
910 mkdir -p "$ac_dir"
911 else
912 as_dir="$ac_dir"
913 as_dirs=
914 while test ! -d "$as_dir"; do
915 as_dirs="$as_dir $as_dirs"
916 as_dir=`(dirname "$as_dir") 2>/dev/null ||
917 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
918 X"$as_dir" : 'X\(//\)[^/]' \| \
919 X"$as_dir" : 'X\(//\)$' \| \
920 X"$as_dir" : 'X\(/\)' \| \
921 . : '\(.\)' 2>/dev/null ||
922 echo X"$as_dir" |
923 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
924 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
925 /^X\(\/\/\)$/{ s//\1/; q; }
926 /^X\(\/\).*/{ s//\1/; q; }
927 s/.*/./; q'`
928 done
929 test ! -n "$as_dirs" || mkdir $as_dirs
930 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
931 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
932 { (exit 1); exit 1; }; }; }
934 rm -f $ac_file
935 mv $tmp/config.h $ac_file
937 else
938 cat $tmp/config.h
939 rm -f $tmp/config.h
941 done
943 { (exit 0); exit 0; }